﻿<!DOCTYPE html>
<html lang="fa">
<head>
    <title>لامینگوبلاگ | @ViewBag.Title</title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="لامینگوبلاگ">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta property="og:locale" content="fa_IR" />
    <meta property="og:site_name" content="لامینگوبلاگ" />
    <meta name="theme-color" content="#6e1529">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

    @RenderSection("Meta", false)

    <environment include="Development">
        <link rel="stylesheet" type="text/css" href="~/blog/css/bootstrap.min.css">
        <link href="~/blog/css/font-awesome-all.min.css" rel="stylesheet" type="text/css">
        <link rel="stylesheet" type="text/css" href="~/blog/css/owl.carousel.css">
        <link rel="stylesheet" type="text/css" href="~/blog/css/owl.theme.default.css">
        <link rel="stylesheet" type="text/css" href="~/blog/css/animate.css">
        <link rel="stylesheet" type="text/css" href="~/blog/css/main_styles.css">
        <link rel="stylesheet" type="text/css" href="~/blog/css/responsive.css">
        <link rel="stylesheet" href="~/lib/font-awesome/css/font-awesome.css" />
    </environment>

    <environment exclude="Development">

        @*<!BEGIN RAYCHAT CODE-->
            <script type="text/javascript">!function () { function t() { var t = document.createElement("script"); t.type = "text/javascript", t.async = !0, localStorage.getItem("rayToken") ? t.src = "https://app.raychat.io/scripts/js/" + o + "?rid=" + localStorage.getItem("rayToken") + "&href=" + window.location.href : t.src = "https://app.raychat.io/scripts/js/" + o; var e = document.getElementsByTagName("script")[0]; e.parentNode.insertBefore(t, e) } var e = document, a = window, o = "4317d4d9-1f25-458d-a921-977d26850bc1"; "complete" == e.readyState ? t() : a.attachEvent ? a.attachEvent("onload", t) : a.addEventListener("load", t, !1) }();</script>
            <!END RAYCHAT CODE-->*@

        <link rel="stylesheet" href="~/Publish/Blog/Main.min.css" asp-append-version="true" />

        <script>

            (function (i, s, o, g, r, a, m) {
                i['GoogleAnalyticsObject'] = r; i[r] = i[r] || function () {
                    (i[r].q = i[r].q || []).push(arguments)
                }, i[r].l = 1 * new Date(); a = s.createElement(o),
                    m = s.getElementsByTagName(o)[0]; a.async = 1; a.src = g; m.parentNode.insertBefore(a, m)
            })(window, document, 'script', 'https://www.google-analytics.com/analytics.js', 'ga');

            ga('create', 'UA-135980529-1', 'auto');
            ga('send', 'pageview');

        </script>
    </environment>
    @RenderSection("Styles", required: false)
</head>
<body>

    <div class="super_container">

        <!-- Header -->

        <header class="header">
            <div class="container">
                <div class="row">
                    <div class="col">
                        <div class="header_content d-flex flex-row-reverse align-items-center justify-content-start">
                            <div class="hamburger ml-auto menu_mm">
                                <svg class="fa fa-bars trans_200 menu_mm" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 50 50" version="1.1" width="35px" height="35px">
                                    <g id="surface1">
                                        <path fill="#6e1529" d="M 0 9 L 0 11 L 50 11 L 50 9 Z M 0 24 L 0 26 L 50 26 L 50 24 Z M 0 39 L 0 41 L 50 41 L 50 39 Z "></path>
                                    </g>
                                </svg>
                            </div>

                            <div class="logo">
                                <a href="/blog">
                                    <svg style="" id="Layer_1" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1080 344.235"><title>LawMingo | لامینگو</title><path d="M37,250.926V27.629c0-2.185,1.082-3.287,3.287-3.287h3.287c2.165,0,3.287,1.1,3.287,3.287V243.71a1.151,1.151,0,0,0,1.283,1.3h78.487c2.205,0,3.287,1.1,3.287,3.287v2.626c0,2.184-1.082,3.287-3.287,3.287H40.287C38.082,254.213,37,253.11,37,250.926Z" fill="#c89d69"></path><path d="M229.411,101.847q11.484,14.762,11.5,39.725V250.926c0,2.184-1.122,3.287-3.287,3.287h-3.287c-2.2,0-3.287-1.1-3.287-3.287V236.154c0-.661-.24-1.042-.681-1.142-.441-.121-.762.16-.962.8a40.025,40.025,0,0,1-16.756,15.774,51.42,51.42,0,0,1-23.33,5.251q-17.076,0-28.861-10.021-11.845-10.011-11.826-34.634,0-26.275,14.11-39.083,14.132-12.808,37.761-12.808h29.223a1.163,1.163,0,0,0,1.322-1.3V140.931q0-20.384-8.859-32.51-8.9-12.146-25.614-12.166a35.249,35.249,0,0,0-23.009,8.058,29.627,29.627,0,0,0-11.144,20.844c0,1.964-1.123,2.967-3.287,2.967l-3.608-.341a3.037,3.037,0,0,1-2.485-.982,2.883,2.883,0,0,1-.481-2.626q1.984-16.746,14.591-26.937A46.131,46.131,0,0,1,196.9,87.076C210.891,87.076,221.754,91.986,229.411,101.847ZM219.069,237.136q11.965-10.493,11.985-30.2V170.474a1.163,1.163,0,0,0-1.322-1.3h-28.9q-19.362,0-30.866,10.823-11.484,10.854-11.5,31.848,0,18.069,8.9,26.938,8.839,8.868,23.29,8.859A41.718,41.718,0,0,0,219.069,237.136Z" fill="#c89d69"></path><path d="M304.331,251.266,270.178,93.309v-.661c0-1.964.962-2.947,2.926-2.947h3.287q3.307,0,3.608,2.947l29.222,144.809c.241.661.441,1,.682,1,.2,0,.441-.341.641-1L340.087,92.648a3.391,3.391,0,0,1,3.648-2.947h3.608q3.246,0,3.607,2.947l29.864,144.809c.241.661.441,1,.682,1,.2,0,.441-.341.641-1l29.9-144.809a3.328,3.328,0,0,1,3.607-2.947h3.288a3,3,0,0,1,2.445.983,2.884,2.884,0,0,1,.481,2.625l-34.8,157.957q-.36,2.948-3.607,2.947h-3.929a3.39,3.39,0,0,1-3.647-2.947L346.02,110.386c-.241-.662-.441-.982-.642-.982-.24,0-.44.32-.681.982l-28.9,140.88q-.3,2.948-3.607,2.947h-4.249A3.328,3.328,0,0,1,304.331,251.266Z" fill="#c89d69"></path><path d="M562.268,92.648l34.153,157.957v.661c0,1.965-.962,2.947-2.926,2.947h-3.287q-3.307,0-3.608-2.947L557.378,106.457c-.241-.661-.441-1-.681-1-.2,0-.441.341-.642,1L526.512,251.266a3.39,3.39,0,0,1-3.648,2.947h-3.607q-3.247,0-3.608-2.947L485.785,106.457c-.24-.661-.441-1-.681-1-.2,0-.441.341-.642,1l-29.9,144.809a3.327,3.327,0,0,1-3.607,2.947h-3.287a3,3,0,0,1-2.445-.982,2.881,2.881,0,0,1-.481-2.626L479.532,92.648q.36-2.946,3.607-2.947h3.929a3.391,3.391,0,0,1,3.648,2.947l29.863,140.881c.241.661.441.982.642.982.24,0,.441-.321.681-.982L550.8,92.648q.3-2.946,3.608-2.947h4.249A3.327,3.327,0,0,1,562.268,92.648Z" fill="#c89d69"></path><path d="M623.985,48.975a13.842,13.842,0,0,1-3.928-10.182,13.4,13.4,0,0,1,3.928-9.841A13.869,13.869,0,0,1,634.167,25a13.461,13.461,0,0,1,13.789,13.79,13.682,13.682,0,0,1-3.928,10.182,13.322,13.322,0,0,1-9.861,3.948A13.873,13.873,0,0,1,623.985,48.975Zm5.292,201.951V92.968c0-2.184,1.082-3.267,3.247-3.267h3.287c2.2,0,3.287,1.083,3.287,3.267V250.926c0,2.184-1.083,3.287-3.287,3.287h-3.287C630.359,254.213,629.277,253.11,629.277,250.926Z" fill="#c89d69"></path><path d="M768.815,100.525q10.822,13.137,10.823,36.457V250.926c0,2.184-1.123,3.287-3.287,3.287h-3.287c-2.2,0-3.287-1.1-3.287-3.287V138.285q0-19.692-8.7-30.685-8.718-11-24.773-11-16.114,0-25.615,11.825-9.56,11.816-9.54,32.51V250.926c0,2.184-1.082,3.287-3.287,3.287h-3.287c-2.205,0-3.287-1.1-3.287-3.287V92.968c0-2.184,1.082-3.267,3.287-3.267h3.287c2.2,0,3.287,1.083,3.287,3.267v15.774c0,.662.2.982.641.982s.762-.32,1-.982a38.445,38.445,0,0,1,14.591-15.774A40.758,40.758,0,0,1,738.59,87.4Q757.952,87.4,768.815,100.525Z" fill="#c89d69"></path><path d="M905.386,89.7h3.648c2.165,0,3.287,1.083,3.287,3.267V253.551q0,66.323-57.162,66.342c-2.606,0-3.928-1.1-3.928-3.287V314.3c0-2.185,1.082-3.287,3.287-3.287q24.952,0,36.277-14.772,11.3-14.762,11.344-43.011V237.8c0-.662-.2-1.043-.521-1.163-.321-.1-.721.06-1.122.5a40.016,40.016,0,0,1-14.471,14.291,39.532,39.532,0,0,1-20.043,5.091q-19.662,0-31.828-13.148-12.145-13.108-12.146-34.153V134.678q0-21.015,12.146-34.314t31.828-13.288a40.084,40.084,0,0,1,20.364,5.071,37.995,37.995,0,0,1,14.15,14.29c.4.441.8.6,1.122.5.321-.12.521-.5.521-1.162V92.968C902.139,90.784,903.222,89.7,905.386,89.7ZM892.439,236.635q9.68-10.642,9.7-27.739V134.678q0-17.077-9.7-27.74-9.681-10.673-24.813-10.683-15.754,0-25.775,10.683c-6.655,7.115-10.022,16.355-10.022,27.74V208.9c0,11.384,3.367,20.644,10.022,27.739q10.041,10.7,25.775,10.683Q882.777,247.318,892.439,236.635Z" fill="#c89d69"></path><path d="M964.993,243.55q-12.627-13.319-12.627-34.333V134.678q0-20.685,12.627-34.153,12.627-13.44,32.67-13.449,20.023,0,32.67,13.449c8.418,8.979,12.667,20.363,12.667,34.153v74.539c0,14.03-4.249,25.454-12.667,34.333q-12.627,13.288-32.67,13.288Q977.641,256.838,964.993,243.55Zm58.285-6.574q9.861-10.673,9.861-27.759V134.678q0-17.077-9.861-27.74T997.663,96.255q-15.753,0-25.614,10.683t-9.862,27.74v74.539q0,17.076,9.862,27.759t25.614,10.663Q1013.418,247.639,1023.278,236.976Z" fill="#c89d69"></path></svg>
                                    <span style="background: #b4805d;height: 20px;color: #732435;border-radius: 4px;padding: 2px 5px;font-size: 12px;text-transform: initial;margin-left: 5px;">Blog</span>
                                </a>
                            </div>
                            <nav class="main_nav">
                                <ul>
                                    @await Component.InvokeAsync("topMenu")
                                </ul>
                            </nav>
                            <div class="search_container mr-auto">
                                @*<div class="weather">
                                        <div class="temperature">+10°</div>
                                        <img class="weather_icon" src="blog/images/cloud.png" alt="">
                                    </div>*@
                                <form action="/Blog/Search" method="post">
                                    <input name="q" type="search" class="header_search_input" required="required" placeholder="جست و جو ...">
                                    <img class="header_search_icon" src="blog/images/search.png" alt="">
                                </form>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </header>

        <!-- Menu -->

        <div class="menu d-flex flex-column align-items-end justify-content-start text-right menu_mm trans_400">
            <div class="menu_close_container"><div class="menu_close"><div></div><div></div></div></div>
            <div class="logo menu_mm">
                <a href="/blog">
                    <svg style="width:140px; color:white; margin-top:22px;" id="Layer_1" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1080 344.235"><title>LawMingo | لامینگو</title><path d="M37,250.926V27.629c0-2.185,1.082-3.287,3.287-3.287h3.287c2.165,0,3.287,1.1,3.287,3.287V243.71a1.151,1.151,0,0,0,1.283,1.3h78.487c2.205,0,3.287,1.1,3.287,3.287v2.626c0,2.184-1.082,3.287-3.287,3.287H40.287C38.082,254.213,37,253.11,37,250.926Z" fill="#c89d69"></path><path d="M229.411,101.847q11.484,14.762,11.5,39.725V250.926c0,2.184-1.122,3.287-3.287,3.287h-3.287c-2.2,0-3.287-1.1-3.287-3.287V236.154c0-.661-.24-1.042-.681-1.142-.441-.121-.762.16-.962.8a40.025,40.025,0,0,1-16.756,15.774,51.42,51.42,0,0,1-23.33,5.251q-17.076,0-28.861-10.021-11.845-10.011-11.826-34.634,0-26.275,14.11-39.083,14.132-12.808,37.761-12.808h29.223a1.163,1.163,0,0,0,1.322-1.3V140.931q0-20.384-8.859-32.51-8.9-12.146-25.614-12.166a35.249,35.249,0,0,0-23.009,8.058,29.627,29.627,0,0,0-11.144,20.844c0,1.964-1.123,2.967-3.287,2.967l-3.608-.341a3.037,3.037,0,0,1-2.485-.982,2.883,2.883,0,0,1-.481-2.626q1.984-16.746,14.591-26.937A46.131,46.131,0,0,1,196.9,87.076C210.891,87.076,221.754,91.986,229.411,101.847ZM219.069,237.136q11.965-10.493,11.985-30.2V170.474a1.163,1.163,0,0,0-1.322-1.3h-28.9q-19.362,0-30.866,10.823-11.484,10.854-11.5,31.848,0,18.069,8.9,26.938,8.839,8.868,23.29,8.859A41.718,41.718,0,0,0,219.069,237.136Z" fill="#c89d69"></path><path d="M304.331,251.266,270.178,93.309v-.661c0-1.964.962-2.947,2.926-2.947h3.287q3.307,0,3.608,2.947l29.222,144.809c.241.661.441,1,.682,1,.2,0,.441-.341.641-1L340.087,92.648a3.391,3.391,0,0,1,3.648-2.947h3.608q3.246,0,3.607,2.947l29.864,144.809c.241.661.441,1,.682,1,.2,0,.441-.341.641-1l29.9-144.809a3.328,3.328,0,0,1,3.607-2.947h3.288a3,3,0,0,1,2.445.983,2.884,2.884,0,0,1,.481,2.625l-34.8,157.957q-.36,2.948-3.607,2.947h-3.929a3.39,3.39,0,0,1-3.647-2.947L346.02,110.386c-.241-.662-.441-.982-.642-.982-.24,0-.44.32-.681.982l-28.9,140.88q-.3,2.948-3.607,2.947h-4.249A3.328,3.328,0,0,1,304.331,251.266Z" fill="#c89d69"></path><path d="M562.268,92.648l34.153,157.957v.661c0,1.965-.962,2.947-2.926,2.947h-3.287q-3.307,0-3.608-2.947L557.378,106.457c-.241-.661-.441-1-.681-1-.2,0-.441.341-.642,1L526.512,251.266a3.39,3.39,0,0,1-3.648,2.947h-3.607q-3.247,0-3.608-2.947L485.785,106.457c-.24-.661-.441-1-.681-1-.2,0-.441.341-.642,1l-29.9,144.809a3.327,3.327,0,0,1-3.607,2.947h-3.287a3,3,0,0,1-2.445-.982,2.881,2.881,0,0,1-.481-2.626L479.532,92.648q.36-2.946,3.607-2.947h3.929a3.391,3.391,0,0,1,3.648,2.947l29.863,140.881c.241.661.441.982.642.982.24,0,.441-.321.681-.982L550.8,92.648q.3-2.946,3.608-2.947h4.249A3.327,3.327,0,0,1,562.268,92.648Z" fill="#c89d69"></path><path d="M623.985,48.975a13.842,13.842,0,0,1-3.928-10.182,13.4,13.4,0,0,1,3.928-9.841A13.869,13.869,0,0,1,634.167,25a13.461,13.461,0,0,1,13.789,13.79,13.682,13.682,0,0,1-3.928,10.182,13.322,13.322,0,0,1-9.861,3.948A13.873,13.873,0,0,1,623.985,48.975Zm5.292,201.951V92.968c0-2.184,1.082-3.267,3.247-3.267h3.287c2.2,0,3.287,1.083,3.287,3.267V250.926c0,2.184-1.083,3.287-3.287,3.287h-3.287C630.359,254.213,629.277,253.11,629.277,250.926Z" fill="#c89d69"></path><path d="M768.815,100.525q10.822,13.137,10.823,36.457V250.926c0,2.184-1.123,3.287-3.287,3.287h-3.287c-2.2,0-3.287-1.1-3.287-3.287V138.285q0-19.692-8.7-30.685-8.718-11-24.773-11-16.114,0-25.615,11.825-9.56,11.816-9.54,32.51V250.926c0,2.184-1.082,3.287-3.287,3.287h-3.287c-2.205,0-3.287-1.1-3.287-3.287V92.968c0-2.184,1.082-3.267,3.287-3.267h3.287c2.2,0,3.287,1.083,3.287,3.267v15.774c0,.662.2.982.641.982s.762-.32,1-.982a38.445,38.445,0,0,1,14.591-15.774A40.758,40.758,0,0,1,738.59,87.4Q757.952,87.4,768.815,100.525Z" fill="#c89d69"></path><path d="M905.386,89.7h3.648c2.165,0,3.287,1.083,3.287,3.267V253.551q0,66.323-57.162,66.342c-2.606,0-3.928-1.1-3.928-3.287V314.3c0-2.185,1.082-3.287,3.287-3.287q24.952,0,36.277-14.772,11.3-14.762,11.344-43.011V237.8c0-.662-.2-1.043-.521-1.163-.321-.1-.721.06-1.122.5a40.016,40.016,0,0,1-14.471,14.291,39.532,39.532,0,0,1-20.043,5.091q-19.662,0-31.828-13.148-12.145-13.108-12.146-34.153V134.678q0-21.015,12.146-34.314t31.828-13.288a40.084,40.084,0,0,1,20.364,5.071,37.995,37.995,0,0,1,14.15,14.29c.4.441.8.6,1.122.5.321-.12.521-.5.521-1.162V92.968C902.139,90.784,903.222,89.7,905.386,89.7ZM892.439,236.635q9.68-10.642,9.7-27.739V134.678q0-17.077-9.7-27.74-9.681-10.673-24.813-10.683-15.754,0-25.775,10.683c-6.655,7.115-10.022,16.355-10.022,27.74V208.9c0,11.384,3.367,20.644,10.022,27.739q10.041,10.7,25.775,10.683Q882.777,247.318,892.439,236.635Z" fill="#c89d69"></path><path d="M964.993,243.55q-12.627-13.319-12.627-34.333V134.678q0-20.685,12.627-34.153,12.627-13.44,32.67-13.449,20.023,0,32.67,13.449c8.418,8.979,12.667,20.363,12.667,34.153v74.539c0,14.03-4.249,25.454-12.667,34.333q-12.627,13.288-32.67,13.288Q977.641,256.838,964.993,243.55Zm58.285-6.574q9.861-10.673,9.861-27.759V134.678q0-17.077-9.861-27.74T997.663,96.255q-15.753,0-25.614,10.683t-9.862,27.74v74.539q0,17.076,9.862,27.759t25.614,10.663Q1013.418,247.639,1023.278,236.976Z" fill="#c89d69"></path></svg>
                </a>
            </div>
            <div class="search">
                <form action="/Blog/Search" method="post">
                    <input type="search" class="header_search_input menu_mm" required="required" placeholder="جست و جو ...">
                    <img class="header_search_icon menu_mm" src="blog/images/search_2.png" alt="">
                </form>
            </div>
            <nav class="menu_nav">
                <ul class="menu_mm">
                    @await Component.InvokeAsync("topMenu")
                </ul>
            </nav>
        </div>

        @RenderBody()

        <!-- Footer -->

        <footer class="footer">
            <div class="container">
                <div class="row row-lg-eq-height">
                    <div class="col-lg-12 order-lg-1 order-2">
                        <div class="footer_content">
                            <div class="footer_logo"><a href="#">لامینگو</a></div>
                            <div class="footer_social">
                                <ul>
                                    @*<li class="footer_social_facebook"><a href="#"><i class="fab fa-facebook" aria-hidden="true"></i></a></li>*@
                                    <li class="footer_social_twitter"><a href="https://twitter.com/LawMingo"><i class="fab fa-twitter" aria-hidden="true"></i></a></li>
                                    <li class="footer_social_pinterest"><a href="https://www.linkedin.com/company/lawmingo"><i class="fab fa-linkedin" aria-hidden="true"></i></a></li>
                                    <li class="footer_social_vimeo"><a href="https://t.me/lawmingo"><i class="fab fa-telegram" aria-hidden="true"></i></a></li>
                                    <li class="footer_social_instagram"><a href="https://instagram.com/lawmingocom"><i class="fab fa-instagram" aria-hidden="true"></i></a></li>
                                </ul>
                            </div>
                            <div class="copyright">
                                کلیه حقوق برای لامینگو محفوظ است
                            </div>
                        </div>
                    </div>
                    @*<div class="col-lg-3 order-lg-2 order-1">
                            <div class="subscribe">
                                <div class="subscribe_background"></div>
                                <div class="subscribe_content">
                                    <div class="subscribe_title">خبرنامه</div>
                                    <form action="#">
                                        <input type="email" class="sub_input" placeholder="ایمیل شما" required="required">
                                        <button class="sub_button">
                                            <svg version="1.1" id="link_arrow_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                                 width="19px" height="13px" viewBox="0 0 19 13" enable-background="new 0 0 19 13" xml:space="preserve">
                                            <polygon fill="#FFFFFF" points="12.475,0 11.061,0 17.081,6.021 0,6.021 0,7.021 17.038,7.021 11.06,13 12.474,13 18.974,6.5 " />

                                        </svg>
                                        </button>
                                    </form>
                                </div>
                            </div>
                        </div>*@
                </div>
            </div>
        </footer>
    </div>

    <environment include="Development">
        <script src="~/blog/js/jquery-3.2.1.min.js" type="text/javascript"></script>
        <script src="~/blog/js/vue.js" type="text/javascript"></script>
        <script src="~/blog/js/popper.js" type="text/javascript"></script>
        <script src="~/blog/js/bootstrap.min.js" type="text/javascript"></script>
        <script src="~/blog/js/owl.carousel.js" type="text/javascript"></script>
        <script src="~/blog/js/easing.js" type="text/javascript"></script>
        <script src="~/blog/js/masonry.js" type="text/javascript"></script>
        <script src="~/blog/js/images_loaded.js" type="text/javascript"></script>
        <script src="~/blog/js/custom.js" type="text/javascript"></script>
        <script src="~/blog/js/moment.js" type="text/javascript"></script>
        <script src="~/blog/js/moment-jalaali.js" type="text/javascript"></script>
    </environment>

    <environment exclude="Development">
        <script src="~/Publish/Blog/Main.min.js" asp-append-version="true"></script>
    </environment>

    <script type="text/x-template" id="gridItemtmpl">
        <div>
            <div v-if="type == null ?_item.view == 0 : type == 0" class="card card_largest_with_image grid-item">
                <a :href="postUrl(_item)"><img class="card-img-top" :src="`/blog/Posts/${_item.image}`" :alt="_item.title"></a>
                <div class="card-body">
                    <div class="card-title"><a :href="postUrl(_item)" v-text="_item.title"></a></div>
                    <div class="card-text" v-html="_item.summery"></div>
                    @*<small class="post_meta"><span v-text="persianTime(_item.time)"></span><a v-text="_item.author"></a></small>*@
                </div>
            </div>

            <!-- Large Card With Background -->
            <div v-if="type == null ?_item.view == 1 : type == 1" class="card card_large_with_background grid-item">
                <div class="card_background" :style="{backgroundImage:'url(/blog/Posts/'+_item.image+')'}"></div>
                <div class="card-body">
                    <div class="card-title"><a :href="postUrl(_item)" :style="{ color :'#000'}" v-text="_item.title"></a></div>
                    @*<small class="post_meta"><span v-text="persianTime(_item.time)"></span><a v-text="_item.author"></a></small>*@
                </div>
            </div>

            <!-- Large Card With Image -->
            <div v-if="type == null ?_item.view == 2 : type == 2" class="card grid-item card_large_with_image">
                <a :href="postUrl(_item)"><img class="card-img-top" :src="`/blog/Posts/${_item.image}`" :alt="_item.title"></a>
                <div class="card-body">
                    <div class="card-title"><a :href="postUrl(_item)" v-text="_item.title"></a></div>
                    <p class="card-text" v-html="_item.summery"></p>
                    @*<small class="post_meta"><span v-text="persianTime(_item.time)"></span><a v-text="_item.author"></a></small>*@
                </div>
            </div>

            <!-- Default Card With Image -->
            <div v-if="type == null ?_item.view == 3 : type == 3" class="card card_small_with_image grid-item">
                <a :href="postUrl(_item)"><img class="card-img-top" :src="`/blog/Posts/${_item.image}`" :alt="_item.title"></a>
                <div class="card-body">
                    <div class="card-title card-title-small"><a :href="postUrl(_item)" v-text="_item.title"></a></div>
                    @*<small class="post_meta"><span v-text="persianTime(_item.time)"></span><a v-text="_item.author"></a></small>*@
                </div>
            </div>

            <!-- Default Card With Background -->

            <div v-if="type == null ?_item.view == 4 : type == 4" class="card card_default card_default_with_background grid-item">
                <div class="card_background" :style="{backgroundImage:'url(/blog/Posts/'+_item.image+')'}"></div>
                <div class="card-body">
                    <div class="card-title card-title-small"><a v-text="_item.title"></a></div>
                </div>
            </div>


            <!-- Default Card No Image -->

            <div v-if="type == null ?_item.view == 5 : type == 5" class="card card_default card_default_no_image grid-item">
                <div class="card-body">
                    <div class="card-title card-title-small"><a :href="postUrl(_item)" v-text="_item.title"></a></div>
                </div>
            </div>

            <!-- Small Card Without Image -->
            <div v-if="type == null ?_item.view == 6 : type == 6" class="card card_default card_small_no_image grid-item">
                <div class="card-body">
                    <div class="card-title card-title-small"><a :href="postUrl(_item)" v-text="_item.title"></a></div>
                </div>
            </div>

            <!-- Small Card With Background -->
            <div v-if="type == null ?_item.view == 7 : type == 7" class="card card_default card_small_with_background grid-item">
                <div class="card_background" :style="{backgroundImage:'url(/blog/Posts/'+_item.image+')'}"></div>
                <div class="card-body">
                    <div class="card-title card-title-small"><a :href="postUrl(_item)" v-text="_item.title"></a></div>
                </div>
            </div>

            <!-- Small Card With Image -->
            <div v-if="type == null ?_item.view == 8 : type == 8" class="card card_small_with_image grid-item">
                <a :href="postUrl(_item)"><img class="card-img-top" :src="`/blog/Posts/${_item.image}`" :alt="_item.title"></a>
                <div class="card-body">
                    <div class="card-title card-title-small"><a :href="postUrl(_item)" v-text="_item.title"></a></div>
                </div>
            </div>
        </div>

    </script>

    <script type="text/x-template" id="contractstmpl">
        <div v-if="items.length > 0 || (items.length == 0 && !dataloaded)">
            <div class="sidebar_title_container">
                <div class="sidebar_title">قراردادهای مرتبط</div>
                <div class="sidebar_slider_nav">
                    <div class="custom_nav_container sidebar_slider_nav_container">
                        <div class="custom_prev custom_prev_top">
                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="7px" height="12px" viewBox="0 0 7 12" enable-background="new 0 0 7 12" xml:space="preserve">
                            <polyline fill="#bebebe" points="0,5.61 5.609,0 7,0 7,1.438 2.438,6 7,10.563 7,12 5.609,12 -0.002,6.39 "></polyline>				    
                        </svg>
                        </div>
                        <ul id="custom_dots" class="custom_dots custom_dots_top">
                            <li class="custom_dot custom_dot_top active"><span></span></li>
                            <li class="custom_dot custom_dot_top"><span></span></li>
                            <li class="custom_dot custom_dot_top"><span></span></li>
                        </ul>
                        <div class="custom_next custom_next_top">
                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="7px" height="12px" viewBox="0 0 7 12" enable-background="new 0 0 7 12" xml:space="preserve">
                            <polyline fill="#bebebe" points="6.998,6.39 1.389,12 -0.002,12 -0.002,10.562 4.561,6 -0.002,1.438 -0.002,0 1.389,0 7,5.61 "></polyline>				
                        </svg>
                        </div>
                    </div>
                </div>
            </div>

            <div class="sidebar_section_content">
                <div v-cloak class="sidebar_slider_container">
                    <div class="owl-carousel owl-theme sidebar_slider_top">
                        <div v-for="item in items" class="owl-item relatedContract">
                            <h3 v-text="item.title"></h3>
                            <p v-text="item.summery"></p>
                            <div>
                                <a id="GoToq" :href="`/Contract-${item.id}/${item.title.replace(' ' , '-')}/${item.english}`" class="btn btn-success">
                                    مشاهده قرارداد
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
                <preloader v-bind:visible="!dataloaded"></preloader>
            </div>

        </div>
    </script>
    <script type="text/x-template" id="sidetrendstmpl">
        <div v-if="items.length > 0 || (items.length == 0 && !dataloaded)">
            <div class="sidebar_title_container">
                <div class="sidebar_title">پربازدیدترین</div>
                <div class="sidebar_slider_nav">
                    <div class="custom_nav_container sidebar_slider_nav_container">
                        <div class="custom_prev custom_prev_top">
                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="7px" height="12px" viewBox="0 0 7 12" enable-background="new 0 0 7 12" xml:space="preserve">
                            <polyline fill="#bebebe" points="0,5.61 5.609,0 7,0 7,1.438 2.438,6 7,10.563 7,12 5.609,12 -0.002,6.39 "></polyline>				    
                        </svg>
                        </div>
                        <ul id="custom_dots" class="custom_dots custom_dots_top">
                            <li class="custom_dot custom_dot_top active"><span></span></li>
                            <li class="custom_dot custom_dot_top"><span></span></li>
                            <li class="custom_dot custom_dot_top"><span></span></li>
                        </ul>
                        <div class="custom_next custom_next_top">
                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="7px" height="12px" viewBox="0 0 7 12" enable-background="new 0 0 7 12" xml:space="preserve">
                            <polyline fill="#bebebe" points="6.998,6.39 1.389,12 -0.002,12 -0.002,10.562 4.561,6 -0.002,1.438 -0.002,0 1.389,0 7,5.61 "></polyline>				
                        </svg>
                        </div>
                    </div>
                </div>
            </div>

            <div class="sidebar_section_content">
                <!-- Top Stories Slider -->
                <div v-cloak class="sidebar_slider_container">
                    <div class="side_post">
                        <a v-for="item in items" :href="postUrl(item)">
                            <div class="d-flex flex-row align-items-xl-center align-items-end justify-content-end">
                                <div class="side_post_content">
                                    <div class="side_post_title" v-text="item.title"></div>
                                    @*<small class="post_meta" v-text="item.author"><span v-text="item.title"></span></small>*@
                                </div>
                                <div class="side_post_image"><div><img :src="`/blog/Posts/${item.image}`" :alt="item.title"></div></div>
                            </div>
                        </a>
                    </div>
                </div>
                <preloader v-bind:visible="!dataloaded"></preloader>

            </div>

        </div>
    </script>

    <script>
            moment().format('jYYYY/jM/jD');
            moment.loadPersian();

            var persianTime = function(s) {
                return moment(s, 'YYYY-M-DTHH:mm:ss').format('jD jMMMM jYYYY HH:mm');
            };

            postUrl = function (item) {
                if (item.subject == null) {
                    return `/blog/${item.seo.replace(/ /g, '-')}`;
                }
                return `/blog/${item.subject.replace(/ /g, '-')}/${item.seo.replace(/ /g, '-')}`;
            };
	    function initTopSlider()
	{
		if($('.sidebar_slider_top').length)
		{
			var topSlider = $('.sidebar_slider_top');

			topSlider.owlCarousel(
			{
				items:1,
				loop:true,
                autoplay: true,
                autoplayHoverPause:true,
				smartSpeed:1200,
				dots:true,
				dotsContainer:'.custom_dots_top',
                nav: false,
                autoHeight:true
			});

			if($('.custom_prev_top').length)
			{
				$('.custom_prev_top').on('click', function()
				{
					topSlider.trigger('prev.owl.carousel');
				});
			}

			if($('.custom_next_top').length)
			{
				$('.custom_next_top').on('click', function()
				{
					topSlider.trigger('next.owl.carousel');
				});
			}

			/* Custom dots events */
			if($('.custom_dot_top').length)
			{
				$('.custom_dot_top').on('click', function(ev)
				{
					var dot = $(ev.target);
					$('.custom_dot_top').removeClass('active');
					dot.addClass('active');
					topSlider.trigger('to.owl.carousel', [$(this).index(), 300]);
				});
			}

			/* Change active class for dots when slide changes by nav or touch */
			topSlider.on('changed.owl.carousel', function(event)
			{
				$('.custom_dot_top').removeClass('active');
				$('.custom_dots_top li').eq(event.page.index).addClass('active');
			});
		}
	}

        Vue.component('grid-item-title', {
          props: ['title'],
          template: '<h3>{{ title }}</h3>'
        })

        Vue.component('grid-item', {
            props: ['_item' ,'type'],
            template: '#gridItemtmpl',
            methods: {
                url: function (item) {
                    return `/${item.id}/${item.title.replace(/ /g, '-')}`;
                },
            }
        });

        Vue.component('contracts', {
            props: ['items' , 'dataloaded'],
            template: '#contractstmpl',
            methods: {
                url: function (item) {
                    return `/${item.id}/${item.title.replace(/ /g, '-')}`;
                }
            }
        })


        Vue.component('sidetrends', {
            props: ['items' , 'dataloaded'],
            template: '#sidetrendstmpl',
            methods: {
                url: function (item) {
                    return `/${item.id}/${item.title.replace(/ /g, '-')}`;
                }
            }
        })


        function validateEmail(email)
        {
            var re = /\S+@@\S+\.\S+/;
            return re.test(email);
        }

        function validateMobile(mobile) {
            //var re = /^0*?[9]\d{9}$/;
            //return re.test(mobile);
            return true;
        }

        function gridLoad(viewtype) {
            var columnWidth = '.card_small_with_image';
            if (viewtype == 0) {
                columnWidth = ".card_largest_with_image";
            }
            else if(viewtype == 1) {
                columnWidth = ".card_large_with_background";
            }

            else if(viewtype == 2) {
                columnWidth = ".card_large_with_image";
            }

            else if(viewtype == 3) {
                columnWidth = ".card_small_with_image";
            }

            else if(viewtype == 4) {
                columnWidth = ".card_default_with_background";
            }

            else if(viewtype == 5) {
                columnWidth = ".card_default_no_image";
            }

            else if(viewtype == 6) {
                columnWidth = ".card_small_no_image";
            }

            else if(viewtype == 7) {
                columnWidth = ".card_small_with_background";
            }

            else if(viewtype == 8) {
                columnWidth = ".card_small_with_image";
            }

            $grid = $('.grid').masonry(
                {
                    itemSelector: '.grid-item',
                    columnWidth ,
                    gutter: 30,
                });

            $grid.masonry('on', 'layoutComplete', function () {
                console.log('complete');
            });
            $grid.masonry();
        }

        var General = {
            LatestPosts: function (id, type, viewtype) {
                _latestPosts.$data.dataloaded = false;
                var ret = $.ajax({
                    type: "GET",
                    url: "/blog/api/LatestPosts",
                    data: { id ,type },
                    dataType: "json",
                    success: function (response) {
                        _latestPosts.$data.items = response;
                        _latestPosts.$data.dataloaded = true;
                        _latestPosts.$data.viewtype = viewtype;
                    }
                });
            },
            RelatedContracts: function (id , type) {
                var ret = $.ajax({
                    type: "GET",
                    url: "/blog/api/RelatedContracts",
                    data :{id , type},
                    dataType: "json",
                    success: function (response) {
                        _RelatedContracts.$data.items = response;
                        _RelatedContracts.$data.dataloaded = true;
                    }
                });
            },
            SideTrends: function (id , type) {
                var ret = $.ajax({
                    type: "GET",
                    url: "/blog/api/LatestPosts",
                    data :{id , type , trends : true},
                    dataType: "json",
                    success: function (response) {
                        _SidebarTrends.$data.items = response;
                        _SidebarTrends.$data.dataloaded = true;
                    }
                });
            }
        }

        var _latestPosts = new Vue({
            el: '#_LatestPosts',
            data: {
                items: [],
                dataloaded : false,
                viewtype : null
            },
            updated: function () {
                if (typeof ($('.grid').data('masonry')) === 'undefined') {
                    setTimeout(function () {
                        gridLoad(_latestPosts.$data.viewtype);
                    }, 500);
                }
                else {
                    $('.grid').masonry('destroy');
                    setTimeout(function () {
                        gridLoad(_latestPosts.$data.viewtype);
                    }, 100);
                }
            },
            methods: {
                url(s) {
                    return 'aaaaaaaa/' + s;
                }
            }
        });

        var _RelatedContracts = new Vue({
            el: '#_RelatedContracts',
            data: {
                dataloaded : false,
                items: []
            },
            methods: {
                renderImage(s) {
                    return '/Content/Images/Uploads/Category/' + s
                }
            },
            updated: function () {
                initTopSlider();
            }
        })
        var _SidebarTrends = new Vue({
            el: '#_sidebarTrends',
            data: {
                dataloaded : false,
                items: []
            }
        })

        //setTimeout(function () {
        //    General.LatestPosts();
        //}, 100)

    </script>
    @RenderSection("Scripts", required: false)
</body>
</html>

